Subject: [DMVR] Re: Busted Wheel

From: "Mike Slater" <[email-masked]>
Date: Mon, 22 Mar 2004 12:56:32 -0600

In reference to the Question about the Busted Wheel !!!

The Wheel was broken by a VERY Expierienced Driver and Member of DMVR.  He said it was His Fault.  His Feet got tangled up somehow, and was Unable to get to the Brake in time.  When he did get to the Brake he was on Wet Grass and Gravel Well beyond where he should have Been.  It was an mishap that only damaged a wheel.  Thanks to the Course Design, That was all that happened.

Next Item that I saw.

Yes, Registration Took WAY to Long. I am NOT going to make excuses, it was my fault.  I am Only One person.  We (All who were working on Sunday) NEVER Expected so many people to the First Event, Especially with the Cold Weather.  We ended up with 80 Drivers.

I was Working Registration BY MYSELF for Two hours.  I was trying to impliment something that would make it go Smother for the Whole Season.  When it was obvious We were NOT going to get done in time, we switched back to the Old way and will use the Data Collected for the Next Event.  When I finally got some help, things went a LOT faster.

I will be sending out Emails, have something on the Web Site, and have something in Drifting.  I am going to implement Pre-Registration for Future Events.  People interested in Running an Event will email me the information I Need to build the registration and Tech form.  When they arrive at the Track, they will give their Name, show appropriate Identification, sign the Waiver, pay the Fees, and Get their Form and get ready for the Event.  Those that do NOT Pre-Register will go through the Normal Registration Line.  I will publish all details when I get them worked out.

Also, with reguards to Help.  There was a LIMITED number of people that Actually went out and Helped work the Track.  A lot of them were standing Out in the Cold a LONG Time with no Relief.  Up to this point, we have NOT set up Mandatory Workers, but with the POOR Turn out for Help, Especially towards the End, we Might implement Mandatory Workers List.  Everyone out there Running their Vehicles NEED to help, Not show up just to Drive. 

Maybe it was NOT explained properly in the Drivers Meeting, I don't know for sure since we had about 36 Drivers that have NOT been to one of our events.

Next Item I saw Referenced.  I do NOT know where the Problems arose with the Ride alongs.  I Personally set up 6 or More Ride alongs with the Novices (and took another one with me).  Some of them Came to me asking about ride alongs, and I set them up, others, I sought out AFTER they had trouble and got them to go along with someone. 

I would Like to thank all the people that I asked to take someone along with them, again for helping out those that needed some Extra Guidance.  The ones that rode along seemed to learn a lot, and seemed to do Much better after they rode with someone else.  I also set up some Expierienced Drivers to ride Shotgun for some of the New people Also.

Next Item Referenced, the Length of the Course.  I tip my hats to Chris Paris and Jon Payne for a Great Track.  They had designed the course for a NORMAL March, first of the Year Event.  They, along with everyone Else, had NO IDEA we would end up with 80 Drivers.  Even though people only got TWO runs, the Actual Seat time was equivalent to an average of 4 (FOUR) runs from Last years events Based on the time it took.  Everyone that got two runs, had the equivalent of 4 based on the average times from Last year.

I might have been better to have two laps per heat instead of 4, but the seat time ended up being quite a lot.  Also, there was a 45 Minute to 1 hour Delay, that I did NOT find out about, Because of working Registration, that would have been 5 Minutes if I had known.  It was discussed with the appropriate people so it should NOT happen again.

If there are any other Questions or Comments Feel Free to send them.  I welcome all comments and will do what I can to try and improve things.

Mike Slater
DMVR Solo II Rules Director